restinio::easy_parser::impl::to_lower_transformer_t< std::array< char, S > > Struct Template Reference

An implementation of transformer that converts the content of the input std::array to lower case. More...

`#include <easy_parser.hpp>`

Inheritance diagram for restinio::easy_parser::impl::to_lower_transformer_t< std::array< char, S > >:

## Public Types

using | input_type = std::array< char, S >
using | base_type = transformer_tag< input_type >
Public Types inherited from restinio::easy_parser::impl::transformer_tag< std::array< char, S > >
using | result_type = std::array< char, S >

## Public Member Functions

RESTINIO_NODISCARD base_type::result_type | transform (input_type &&input) const noexcept

## Additional Inherited Members

Static Public Attributes inherited from restinio::easy_parser::impl::transformer_tag< std::array< char, S > >
static constexpr entity_type_t | entity_type

## Detailed Description

template<std::size_t S>
struct restinio::easy_parser::impl::to_lower_transformer_t< std::array< char, S > >

An implementation of transformer that converts the content of the input std::array to lower case.

Since
  v.0.6.6

Definition at line 3096 of file easy_parser.hpp.

## Member Typedef Documentation

## base_type

template<std::size_t S>

using restinio::easy_parser::impl::to_lower_transformer_t< std::array< char, S > >::base_type = transformer_tag< input_type >

Definition at line 3100 of file easy_parser.hpp.

## input_type

template<std::size_t S>

using restinio::easy_parser::impl::to_lower_transformer_t< std::array< char, S > >::input_type = std::array< char, S >

Definition at line 3099 of file easy_parser.hpp.

## Member Function Documentation

## transform()

template<std::size_t S>

RESTINIO_NODISCARD base_type::result_type restinio::easy_parser::impl::to_lower_transformer_t< std::array< char, S > >::transform | ( | input_type && | input | ) | const

inlinenoexcept

Definition at line 3104 of file easy_parser.hpp.

The documentation for this struct was generated from the following file:

- restinio/helpers/easy_parser.hpp